/*
 *  psychlops_code_snippets.h
 *  Psychlops Standard Library (Universal)
 *
 *  Last Modified 208/09/22 by Kenchi HOSOKAWA
 *  (C) 2008 Kenchi HOSOKAWA, Kazushi MARUYA, Takao SATO
 */

#ifndef HEADER_PSYCHLOPS_CODINGSUPPORT_SNIPPETS
#define HEADER_PSYCHLOPS_CODINGSUPPORT_SNIPPETS



namespace Psychlops {

/*
	template <typename X, typename C> class READ_ONLY_ {
		friend class C;
		private:
		X val_;
		void set(X val) { val_=val; }
		public:
		READ_ONLY_() {}
		operator X() const { return val_; }
	};
*/


}	/*	<- namespace Psychlops 	*/


#endif
